Subject: RE: I-D ACTION:draft-dasilva-l2tp-relaysvc-00.txt - Comments

From: "Reinaldo Penno" <[email-masked]>
Date: Sun, 12 Aug 2001 19:34:13 -0700

Hey Mark,

> -----Original Message-----
> From: W. Mark Townsley [mailto:[email-masked]]
> Sent: Sunday, August 12, 2001 3:33 PM
> To: Ron da Silva
> Cc: Penno, Reinaldo [SC9:T327:EXCH]; [email-masked]
> Subject: Re: I-D ACTION:draft-dasilva-l2tp-relaysvc-00.txt - Comments
> 
> 
> 
> 
> Ron da Silva wrote:
> > 
> > Reinaldo,
> > 
> > On Fri, Aug 10, 2001 at 11:30:12AM -0700, Reinaldo Penno wrote:
> > >
> Allow multiple PADOs. You can leverage the relay-session-id 
> to identify
> which PPPoE AC beyond the LNS the session is for. We should 
> probably expand the
> text a bit here (specifically covering the case of LNS to 
> PPPoE AC, vs. just
> PPPoE Host to LAC), but I don't think this is a problem as 
> long as we can rely
> on the relay-session-ID. 
> 

The problem is how to do this. Look below.

      "A Relay-Session-Id TAG MUST NOT be added if the discovery packet
      already contains one.  In that case the intermediate agent SHOULD
      use the existing Relay-Session-Id TAG"

If the LAC puts a Relay-Session-Id, the LNS cannot put it. Besides, the AC
does not change the Relay-Session-ID, it just copies it on the PADO.  So,
all PADOs would seem to come from the same AC if they are in an ethernet
after the LNS.

regards,

Reinaldo

> This begs the question though, how many PPPoE implementations actually
> implement the relay-session-ID Tag as identified in the RFC? 
> I hope that most
> do. If they do not, we should decide whether to try and 
> support relay to
> multiple hosts via games with MAC addresses, inclusion of our 
> own relay session
> id tag of sorts at least to track forwarded messages between 
> the LAC and LNS, or
> simply pressure the PPPoE community to implement the relay Tag.
> 

> > 
> > > b) Now, the way it is today this method somehow breaks 
> what is powerful

---

From: "W. Mark Townsley" <[email-masked]>
Date: Mon, 13 Aug 2001 17:39:33 +0200

> Reinaldo Penno wrote:

That is instruction for a pure PPPoE Host or AC. We are a relay agent for PPPoE
over L2TP, and can define what it is to be such an agent however necessary.

> does not change the Relay-Session-ID, it just copies it on the PADO.  So, all
> PADOs would seem to come from the same AC if they are in an ethernet after the
> LNS.
> 
> regards,
> 
> Reinaldo
>